Does Your Canon EF 40mm f/2.8 STM Lens Need the Firmware Update?

Unless you very recently purchased your Canon EF 40mm f/2.8 STM Lens, the answer to this question is probably "Yes". But, Canon Japan has published a serial number key to reliably determine that your EF 40m STM Lens needs the v1.2.0 Firmware Update.
 
If the third digit in the serial number is a 0, 1 or 2, the firmware update is needed:
 
xx0xxxxxxx, xx1xxxxxxx, xx2xxxxxxx
 
Otherwise, firmware version 1.2.0 or later has already been installed in the lens.
Posted: 9/6/2012 9:35:36 AM CT   Posted By: Bryan
Posted to: Canon News
comments powered by Disqus
Help  |  © 2003-2014 The Digital Picture, LLC  |  Bryan CarnathanPowered By Christ!